'use strict';

var IdsRequestError = require('./ids-request-error');
var IdsRequestSetupError = require('./ids-request-setup-error');
var InvalidOrMissingParameterError = require('./invalid-or-missing-parameter-error');
var RequiredParameterError = require('./required-parameter-error');
var ExclusiveParametersError = require('./exclusive-parameters-error');
var MissingUserIdError = require('./missing-user-id');
var NoUserError = require('./no-user-error');

module.exports = {
  IdsRequestError: IdsRequestError,
  IdsRequestSetupError: IdsRequestSetupError,
  InvalidOrMissingParameterError: InvalidOrMissingParameterError,
  RequiredParameterError: RequiredParameterError,
  ExclusiveParametersError: ExclusiveParametersError,
  MissingUserIdError: MissingUserIdError,
  NoUserError: NoUserError
};