"use strict";

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ExclusiveParametersError = function (_Error) {
  _inherits(ExclusiveParametersError, _Error);

  function ExclusiveParametersError(param1, param2) {
    var _ref;

    _classCallCheck(this, ExclusiveParametersError);

    for (var _len = arguments.length, params = Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
      params[_key - 2] = arguments[_key];
    }

    var _this = _possibleConstructorReturn(this, (_ref = ExclusiveParametersError.__proto__ || Object.getPrototypeOf(ExclusiveParametersError)).call.apply(_ref, [this].concat(params)));

    _this.param1 = param1;
    _this.param2 = param2;
    _this.message = "Parameters " + param1 + " and " + param2 + " cannot be used together";

    if (Error.captureStackTrace) {
      Error.captureStackTrace(_this, ExclusiveParametersError);
    }
    return _this;
  }

  return ExclusiveParametersError;
}(Error);

module.exports = ExclusiveParametersError;