'use strict';

var Ids = require('./ids');
var createObject = require('./api/create-object');
var createOrUpdateObject = require('./api/create-or-update');
var getObjects = require('./api/get-objects');
var getObjectsByPage = require('./api/get-objects-by-page');
var getObjectById = require('./api/get-object-by-id');
var getObjectCount = require('./api/get-object-count');
var updateObject = require('./api/update-object');
var queryObjects = require('./api/query-objects');
var deleteObject = require('./api/delete-object');

module.exports = {
  Ids: Ids,
  createObject: createObject,
  createOrUpdateObject: createOrUpdateObject,
  deleteObject: deleteObject,
  getObjects: getObjects,
  getObjectsByPage: getObjectsByPage,
  getObjectById: getObjectById,
  getObjectCount: getObjectCount,
  updateObject: updateObject,
  queryObjects: queryObjects
};