'use strict';

var decodeToken = require('./decode-token');

var isClientToken = function isClientToken(token) {
  var decodedToken = decodeToken(token);

  if (decodedToken && decodedToken.payload && decodedToken.payload.type.toLowerCase() === 'client') {
    return true;
  }

  return false;
};

module.exports = isClientToken;